Pi Durable Platformdocs
ReferenceAdmin

All teams (platform admins and auditors)

GET
/v1/admin/teams

Query Parameters

q?string

Case-insensitive substring match

Lengthlength <= 200
status?string
Value in"active""archived"
kind?string
Value in"team""personal"
cursor?string

nextCursor from the previous page

limit?integer
Range1 <= value <= 200
Default50

Response Body

A page of teams ordered by slug

application/json
  1. response
data*
curl -X GET 'https://agents.example.com/v1/admin/teams'
{  "data": {    "items": [      {        "team": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "slug": "string",          "name": "string",          "description": "string",          "status": "active",          "kind": "team",          "revision": 0,          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "archivedAt": "2019-08-24T14:15:22Z"        },        "memberCount": 0,        "ownerCount": 0,        "ownerInvites": 0,        "personalOwner": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "email": "string",          "displayName": "string",          "status": "active"        }      }    ],    "nextCursor": "string"  }}